summaryrefslogtreecommitdiff
path: root/meta-quanta
diff options
context:
space:
mode:
authorPatrick Williams <patrick@stwcx.xyz>2023-04-16 04:13:41 +0300
committerPatrick Williams <patrick@stwcx.xyz>2023-04-17 17:51:12 +0300
commit65682ac6176742b7d81b64c71d7a37913a39470b (patch)
tree3706cf30a6d9f8bac762fd15778483c132d88a6d /meta-quanta
parentce4ad85212173a43260ad8bac048aaac2898b16a (diff)
downloadopenbmc-65682ac6176742b7d81b64c71d7a37913a39470b.tar.xz
meta-quanta: fix new shellcheck issues
The latest version of shellcheck is stricter. Fix a few warnings. Signed-off-by: Patrick Williams <patrick@stwcx.xyz> Change-Id: I7f94205aef6d348e9c53dca261ea996dd4f84a6a
Diffstat (limited to 'meta-quanta')
-rw-r--r--meta-quanta/meta-gbs/recipes-gbs/cpld-ver-check/files/cpld_version.sh6
-rw-r--r--meta-quanta/meta-gbs/recipes-google/acpi-power-state/acpi-power-state-daemon/gbs-set-boot-failsafe.sh6
2 files changed, 6 insertions, 6 deletions
diff --git a/meta-quanta/meta-gbs/recipes-gbs/cpld-ver-check/files/cpld_version.sh b/meta-quanta/meta-gbs/recipes-gbs/cpld-ver-check/files/cpld_version.sh
index c69949cc9b..5d436c5315 100644
--- a/meta-quanta/meta-gbs/recipes-gbs/cpld-ver-check/files/cpld_version.sh
+++ b/meta-quanta/meta-gbs/recipes-gbs/cpld-ver-check/files/cpld_version.sh
@@ -119,6 +119,6 @@ main() {
}
# Exit without running main() if sourced
-return 0 2>/dev/null
-
-main "$@"
+if ! (return 0 2>/dev/null); then
+ main "$@"
+fi
diff --git a/meta-quanta/meta-gbs/recipes-google/acpi-power-state/acpi-power-state-daemon/gbs-set-boot-failsafe.sh b/meta-quanta/meta-gbs/recipes-google/acpi-power-state/acpi-power-state-daemon/gbs-set-boot-failsafe.sh
index 6580fbe916..822200ba76 100644
--- a/meta-quanta/meta-gbs/recipes-google/acpi-power-state/acpi-power-state-daemon/gbs-set-boot-failsafe.sh
+++ b/meta-quanta/meta-gbs/recipes-google/acpi-power-state/acpi-power-state-daemon/gbs-set-boot-failsafe.sh
@@ -30,6 +30,6 @@ main() {
}
# Exit without running main() if sourced
-return 0 2>/dev/null
-
-main "$@"
+if ! (return 0 2>/dev/null); then
+ main "$@"
+fi